Bug 891268 - (emotion) Review Request: emotion - Media Library for EFL
Review Request: emotion - Media Library for EFL
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Mashal
Wolfgang Ulbrich
:
Depends On: edje eio Enlightenment-Tracker
Blocks: ethumb elementary
  Show dependency treegraph
 
Reported: 2013-01-02 06:56 EST by Rahul Sundaram
Modified: 2013-09-28 21:37 EDT (History)
6 users (show)

See Also:
Fixed In Version: emotion-1.7.8-7.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-28 21:37:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
chat-to-me: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Spec file patch to build emotion with rpath of eio. (1.70 KB, patch)
2013-01-27 07:34 EST, Narasimhan
no flags Details | Diff
Patch makefile to pass -R %(libdir)/eio to libtool. (633 bytes, patch)
2013-01-27 08:12 EST, Narasimhan
no flags Details | Diff

  None (edit)
Description Rahul Sundaram 2013-01-02 06:56:57 EST
Spec URL: http://sundaram.fedorapeople.org/packages/emotion.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/emotion-1.7.4-1.fc18.src.rpm
Description:
Emotion is a video (and audio) codec playback library that acts as a
front-end to libxine or gstreamer (or something else more generic)
that provides and evas object as a control object and video output
point. 
Fedora Account System Username:sundaram
Comment 1 Narasimhan 2013-01-27 07:34:01 EST
Created attachment 688414 [details]
Spec file patch to build emotion with rpath of eio.
Comment 3 Narasimhan 2013-01-27 08:12:57 EST
Created attachment 688433 [details]
Patch makefile to pass -R %(libdir)/eio to libtool.
Comment 4 Dan Mashal 2013-06-07 21:28:22 EDT
Waiting on reviews for edje and eio to finish before reviewing this.
Comment 5 Dan Mashal 2013-08-20 19:15:14 EDT
Updated to 1.7.8

Spec URL: http://vicodan.fedorapeople.org/emotion.spec
SRPM URL: http://vicodan.fedorapeople.org/emotion-1.7.8-1.fc20.src.rpm
Description:
Emotion is a video (and audio) codec playback library that acts as a
front-end to libxine or gstreamer (or something else more generic)
that provides and evas object as a control object and video output
point.
Comment 6 Wolfgang Ulbrich 2013-08-22 08:52:45 EDT
Issues:
=======
- Development (unversioned) .so files in -devel subpackage, if present.
  Note: Unversioned so-files directly in %_libdir.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

Unversioned so-files
--------------------
emotion: /usr/lib64/edje/modules/emotion/linux-gnu-x86_64-1.0.0/module.so
emotion: /usr/lib64/emotion/em_generic.so
emotion: /usr/lib64/emotion/xine.so
emotion: /usr/lib64/libemotion.so

Please move /usr/lib64/libemotion.so to -devel subpkg.


- Package do not use a name that already exist
  Note: A package already exist with this name, please check
  https://admin.fedoraproject.org/pkgdb/acls/name/emotion
  See: https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names

Someone orphaned emotion in devel, you need to file out a re-leng ticket for re-retiered the package, after cvs is done.

Unversioned so-files
--------------------
emotion: /usr/lib64/edje/modules/emotion/linux-gnu-x86_64-1.0.0/module.so
emotion: /usr/lib64/emotion/em_generic.so
emotion: /usr/lib64/emotion/xine.so
emotion: /usr/lib64/libemotion.so

Please move /usr/lib64/libemotion.so to -devel subpkg.

Rest looks good.
Comment 8 Wolfgang Ulbrich 2013-08-24 04:21:13 EDT
Issues:
=======
- Development (unversioned) .so files in -devel subpackage, if present.
  Note: Unversioned so-files directly in %_libdir.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

Hmm, i said moved '/usr/lib64/libemotion.so' to -devel subpkg, and not the complete directory '%{_libdir}/%{name}/*.so'.
This isn't needed, those libaries are needed for package funktion, imo, same like with most other packages.
Only unversioned so-files inside %{_libdir} needs to move.
Comment 9 Dan Mashal 2013-08-24 17:08:57 EDT
Please try with the following spec and srpm:

SPEC URL: http://vicodan.fedorapeople.org/emotion.spec
SRPM URL: http://vicodan.fedorapeople.org/emotion-1.7.8-3.fc21.src.rpm
Comment 11 Wolfgang Ulbrich 2013-08-26 13:50:23 EDT
I did build a srpm for you which include this file section.

%files
%doc ChangeLog README COPYING*
%dir %{_libdir}/%{name}
%{_bindir}/%{name}_*
%{_datadir}/%{name}
%{_libdir}/edje
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*
%{_libdir}/libemotion.so.1
%{_libdir}/libemotion.so.1.7.8

%files devel
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_libdir}/libemotion.so

This fix the unversioned *.so files issue.
Here is a link for a ready build srpm for rawhide.

http://raveit65.fedorapeople.org/debris/emotion-1.7.8-4.fc21.src.rpm
Comment 13 Wolfgang Ulbrich 2013-08-26 14:49:49 EDT
APPROVED!


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package do not use a name that already exist
  Note: A package already exist with this name, please check
  https://admin.fedoraproject.org/pkgdb/acls/name/emotion
  See: https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names

Someone orphaned emotion in devel, you need to file out a re-leng ticket for re-retiered the package, after cvs is done.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 24 files have unknown
     license. Detailed output of licensecheck in
     /home/rave/891268-emotion/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: emotion-1.7.8-5.fc21.x86_64.rpm
          emotion-devel-1.7.8-5.fc21.x86_64.rpm
emotion.x86_64: W: spelling-error %description -l en_US codec -> codex, code, codes
emotion.x86_64: W: spelling-error %description -l en_US libxine -> libertine
emotion.x86_64: W: spelling-error %description -l en_US gstreamer -> streamer, g streamer, steamer
emotion.x86_64: W: spelling-error %description -l en_US evas -> vase, eves, eras
emotion.x86_64: W: no-manual-page-for-binary emotion_test
emotion-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint emotion emotion-devel
emotion.x86_64: W: spelling-error %description -l en_US codec -> codex, code, codes
emotion.x86_64: W: spelling-error %description -l en_US libxine -> libertine
emotion.x86_64: W: spelling-error %description -l en_US gstreamer -> streamer, g streamer, steamer
emotion.x86_64: W: spelling-error %description -l en_US evas -> vase, eves, eras
emotion.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libemotion.so.1.7.8 /lib64/librt.so.1
emotion.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libemotion.so.1.7.8 /lib64/libpthread.so.0
emotion.x86_64: W: no-manual-page-for-binary emotion_test
emotion-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 8 warnings.
# echo 'rpmlint-done:'



Requires
--------
emotion (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libecore.so.1()(64bit)
    libecore_evas.so.1()(64bit)
    libedje.so.1()(64bit)
    libeet.so.1()(64bit)
    libeina.so.1()(64bit)
    libeio.so.1()(64bit)
    libemotion.so.1()(64bit)
    libevas.so.1()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libxine.so.1()(64bit)
    rtld(GNU_HASH)

emotion-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    emotion(x86-64)
    libemotion.so.1()(64bit)
    pkgconfig(ecore)
    pkgconfig(eet)
    pkgconfig(eina)
    pkgconfig(eio)
    pkgconfig(evas)



Provides
--------
emotion:
    emotion
    emotion(x86-64)
    libemotion.so.1()(64bit)

emotion-devel:
    emotion-devel
    emotion-devel(x86-64)
    pkgconfig(emotion)



Unversioned so-files
--------------------
emotion: /usr/lib64/edje/modules/emotion/linux-gnu-x86_64-1.0.0/module.so
emotion: /usr/lib64/emotion/em_generic.so
emotion: /usr/lib64/emotion/xine.so

Source checksums
----------------
http://download.enlightenment.org/releases/emotion-1.7.8.tar.bz2 :
  CHECKSUM(SHA256) this package     : de5f3962c9dd5616c886decf6fa9fa9dbec16fa7a7f61b83b98f252cb28fb56c
  CHECKSUM(SHA256) upstream package : de5f3962c9dd5616c886decf6fa9fa9dbec16fa7a7f61b83b98f252cb28fb56c


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 891268
Comment 14 Dan Mashal 2013-08-26 15:27:35 EDT
New Package SCM Request
=======================
Package Name: emotion
Short Description: Media Library for EFL
Owners: vicodan sundaram spot
Branches: f19
Comment 15 Jon Ciesla 2013-08-26 15:50:46 EDT
Unretired, please take ownership in pkgdb and submit a Package Change
request for f20 and f19, as well as submitting a trac with rel-eng to
unblock in koji.
Comment 16 Dan Mashal 2013-08-27 07:16:34 EDT
Fixed according to tyll but I cannot commit:

https://fedorahosted.org/rel-eng/ticket/5749
Comment 17 Dan Mashal 2013-08-27 07:23:03 EDT
Package Change Request
======================
Package Name: emotion
New Branches: f19 f20
Owners: vicodan sundaram spot
Comment 18 Jon Ciesla 2013-08-27 08:12:58 EDT
Git done (by process-git-requests).
Comment 19 Fedora Update System 2013-08-29 07:11:31 EDT
emotion-1.7.8-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/emotion-1.7.8-7.fc19
Comment 20 Fedora Update System 2013-08-29 18:18:39 EDT
emotion-1.7.8-7.fc19 has been pushed to the Fedora 19 testing repository.
Comment 21 Fedora Update System 2013-09-28 21:37:17 EDT
emotion-1.7.8-7.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.